BiDiComplexExpressionConfigParser (CMDB Model API)
Keywords: com.collation.platform.model.util.BiDiComplexExpressionConfigParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.util
Class BiDiComplexExpressionConfigParser

    java.lang.Object
      com.collation.platform.model.util.BiDiComplexExpressionConfigParser

    public class BiDiComplexExpressionConfigParser

extends java.lang.Object

Field Summary
`static java.lang.String` | `BIDI_CONFIGURATION_FILE_NAME`

Method Summary
`void` | `addAttribute(com.collation.proxy.api.presentation.detail.data.Attribute attribute)`
`java.lang.String[]` | `getBidiCategory(java.lang.String attributeName, java.lang.String className)`
`java.lang.String` | `getDisplayName(java.lang.String attributeName)`
`java.lang.String` | `getDisplayName(java.lang.String attributeName, java.lang.String className)`
`static BiDiComplexExpressionConfigParser` | `getInstance()` Describe `getInstance` method here.
`static BiDiComplexExpressionConfigParser` | `getInstance(java.util.Locale locale)`
`static void` | `init(java.io.File file)`
`static void` | `init(java.io.File file, java.util.Locale locale)`
`static void` | `init(java.io.InputStream is)`
`static void` | `init(java.io.InputStream is, java.util.Locale locale)` Describe `init` method here.
`static void` | `initWithResource(java.lang.String path, java.lang.Class clazz)`
`static void` | `initWithResource(java.lang.String path, java.util.Locale locale, java.lang.Class clazz)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BIDI_CONFIGURATION_FILE_NAME

    public static java.lang.String BIDI_CONFIGURATION_FILE_NAME

Method Detail

### init

    public static void init(java.io.File file)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### init

    public static void init(java.io.File file,
                            java.util.Locale locale)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### initWithResource

    public static void initWithResource(java.lang.String path,
                                        java.lang.Class clazz)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### initWithResource

    public static void initWithResource(java.lang.String path,
                                        java.util.Locale locale,
                                        java.lang.Class clazz)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### init

    public static void init(java.io.InputStream is)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### init

    public static void init(java.io.InputStream is,
                            java.util.Locale locale)
                     throws java.lang.Exception

  Describe `init` method here.

  Parameters:
    `is` - an `InputStream` value
  Throws:
    `java.lang.Exception` - if an error occurs

### getInstance

    public static BiDiComplexExpressionConfigParser getInstance()

  Describe `getInstance` method here.

  Returns:
    a `ScreenLayoutFactory` value

### getInstance

    public static BiDiComplexExpressionConfigParser getInstance(java.util.Locale locale)

### addAttribute

    public void addAttribute(com.collation.proxy.api.presentation.detail.data.Attribute attribute)

### getBidiCategory

    public java.lang.String[] getBidiCategory(java.lang.String attributeName,
                                              java.lang.String className)

### getDisplayName

    public java.lang.String getDisplayName(java.lang.String attributeName)

### getDisplayName

    public java.lang.String getDisplayName(java.lang.String attributeName,
                                           java.lang.String className)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD